Subject: Re: bug#41850: [PATCH] maint: Avoid signed integer overflows

From: Tobias Stoeckmann <[email-masked]>
Date: Wed, 17 Jun 2020 20:15:16 +0200

Hi,

On Mon, Jun 15, 2020 at 11:11:57PM +0100, Pádraig Brady wrote:
> How did you notice BTW. This wasn't exposed in existing tests.

it was a manual code review.

I like coreutils for having such a high quality and its goal of being as
portable as possible. The former means that it's challenging and
educational to find bugs or standard violations and the latter that
fixes have a high change of being accepted. Last but not least, small
programs make it easy to trigger issues with a simple call for easy
reproducability.

> I've updated your patch (attached) to add tests for this.

Thanks, the test suite looks nice.

Tobias